---
title: Update Client Order States
slug: api-documentation/update-client-order-states
docTags: 
createdAt: 2026-08-27T16:57:40.129Z
---

{
  "id": "jADmLWnN3LwDdFte65whv",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.upstartcommerce.com/v1/order/client-state/batch",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/order/client-state/batch"
      }
    ],
    "name": "Update Client Order States",
    "description": "<p>This endpoint allows administrators to update multiple existing client order states. The state can be updated with new details such as name, internal state, and color.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>client.order.update</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "array",
          "description": "The request body must include all updated details for the client order states.",
          "customType": "UpdateClientOrderStateBatchRequest[]",
          "schema": [
            {
              "name": "id",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "name",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "siteIds",
              "kind": "required",
              "type": "array",
              "description": "",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "color",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "internalState",
              "kind": "optional",
              "type": "string",
              "description": ""
            },
            {
              "name": "description",
              "kind": "optional",
              "type": "string",
              "description": ""
            }
          ],
          "modelRef": "#/components/schemas/UpdateClientOrderStateBatchRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Success-Client order states updated.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "UpdateClientOrderStateResponse[]",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string<uuid>",
                "description": "The ID of the updated client order state",
                "format": "uuid"
              },
              {
                "name": "siteIds",
                "kind": "required",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "The name of the client state"
              },
              {
                "name": "internalState",
                "kind": "required",
                "type": "string",
                "description": "The internal state associated with the client state"
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "color",
                "kind": "required",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/UpdateClientOrderStateResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "207",
        "description": "<p>Partial Success - request partially processed with some errors</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "UpdateClientStatePartialResponse",
            "schema": [
              {
                "name": "success",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/ClientStateMapping",
                "customType": "ClientStateMapping[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "The ID of the client order state"
                  },
                  {
                    "name": "siteIds",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "name",
                    "kind": "required",
                    "type": "string",
                    "description": "The name of the client state"
                  },
                  {
                    "name": "color",
                    "kind": "required",
                    "type": "string",
                    "description": "The color of the client state to be shown on the Portal"
                  },
                  {
                    "name": "internalState",
                    "kind": "required",
                    "type": "string",
                    "description": "The internal state associated with the client state"
                  },
                  {
                    "name": "description",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "inUse",
                    "kind": "required",
                    "type": "boolean",
                    "description": "",
                    "default": false
                  }
                ]
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "",
                "example": "{\"{clientStateId}\":[{\"name\":\"Validation error\",\"code\":\"COR-003\",\"detail\":[{\"path\":\"internalState\",\"errors\":[{\"id\":\"invalid\",\"message\":\"Invalid internal state provided.\"}]}]}]}",
                "customType": "map<string, ValidationErrorResponse>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/UpdateClientStatePartialResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "The provided credentials were not valid for this endpoint. It may be that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal server error.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "hhozm0NmX1eNn9Mnh4GxC",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.upstartcommerce.com/v1/order/client-state/batch \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '[\n     {\n     \"id\": \"\",\n     \"siteIds\": []\n     }\n     ]'"
        },
        {
          "id": "B2ZA_ro9csXfKH9pgDmg4",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify([\n   {\n      \"id\": \"\",\n      \"siteIds\": []\n   }\n]);\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/order/client-state/batch\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "X2n-4nmTKiJlqxoA4b6HJ",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/order/client-state/batch\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump([\n   {\n      \"id\": \"\",\n      \"siteIds\": []\n   }\n])\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "1S7gqhBU76LknCmZSXKk7",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/order/client-state/batch\"\n\npayload = json.dumps([\n   {\n      \"id\": \"\",\n      \"siteIds\": []\n   }\n])\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "hhozm0NmX1eNn9Mnh4GxC"
    },
    "results": {
      "languages": [
        {
          "id": "Bo24K-Baay74jIUHBOS7s",
          "language": "200",
          "code": "// Success-Client order states updated.\n[\n  {\n    \"id\": \"\",\n    \"siteIds\": [\n      \"\"\n    ],\n    \"name\": \"\",\n    \"internalState\": \"\",\n    \"description\": \"\",\n    \"color\": \"\"\n  }\n]"
        },
        {
          "id": "T0VBh5hfAkCACtIP_XekD",
          "language": "207",
          "code": "// Partial Success - request partially processed with some errors\n{\n  \"success\": [\n    {\n      \"id\": \"\",\n      \"siteIds\": [\n        \"\"\n      ],\n      \"name\": \"\",\n      \"color\": \"\",\n      \"internalState\": \"\",\n      \"description\": \"\",\n      \"inUse\": false\n    }\n  ],\n  \"errors\": \"{\\\"{clientStateId}\\\":[{\\\"name\\\":\\\"Validation error\\\",\\\"code\\\":\\\"COR-003\\\",\\\"detail\\\":[{\\\"path\\\":\\\"internalState\\\",\\\"errors\\\":[{\\\"id\\\":\\\"invalid\\\",\\\"message\\\":\\\"Invalid internal state provided.\\\"}]}]}]}\"\n}"
        },
        {
          "id": "vtKCzLFdlW5JwqktHJahJ",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "0FYZH90aNvijukHJ5wPG2",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "K7lOybWJcRIm0xGW7ssBF",
          "language": "403",
          "code": "// The provided credentials were not valid for this endpoint. It may be that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "TTZPz0csVRdS3cg5TFmkl",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "ydkbcZFzTYJJne90RLwGH",
          "language": "500",
          "code": "// Internal server error.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "Bo24K-Baay74jIUHBOS7s"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}